Loading...
Searching...
No Matches
volk_neon_intrinsics.h File Reference
`#include <arm_neon.h>`

Go to the source code of this file.

## Functions

static float32x4_t | _vmagnitudesquaredq_f32 (float32x4x2_t cmplxValue)
static float32x4_t | _vinvsqrtq_f32 (float32x4_t x)
static float32x4_t | _vsqrtq_f32 (float32x4_t x)
static float32x4_t | _vinvq_f32 (float32x4_t x)
static float32x4_t | _varcsinq_f32 (float32x4_t x)
static float32x4x2_t | _vmultiply_complexq_f32 (float32x4x2_t a_val, float32x4x2_t b_val)
static float32x4_t | _vtaylor_polyq_f32 (float32x4_t x, const float32x4_t coeffs[8])
static float32x4_t | _vlogq_f32 (float32x4_t x)
static float32x4x2_t | _vsincosq_f32 (float32x4_t x)
static float32x4_t | _vtanq_f32 (float32x4_t x)
static float32x4_t | _varctan_poly_f32 (float32x4_t x)
static float32x4_t | _neon_accumulate_square_sum_f32 (float32x4_t sq_acc, float32x4_t acc, float32x4_t val, float32x4_t rec, float32x4_t aux)
static float32x4_t | _vsin_poly_f32 (float32x4_t x)
static float32x4_t | _vcos_poly_f32 (float32x4_t x)
static float32x4_t | _vlog2_poly_f32 (float32x4_t x)

## Function Documentation

## _neon_accumulate_square_sum_f32()

float32x4_t _neon_accumulate_square_sum_f32 | ( | float32x4_t | sq_acc,
|  | float32x4_t | acc,
|  | float32x4_t | val,
|  | float32x4_t | rec,
|  | float32x4_t | aux )

inline static

## _varcsinq_f32()

float32x4_t _varcsinq_f32 | ( | float32x4_t | x | ) |

inline static

## _varctan_poly_f32()

float32x4_t _varctan_poly_f32 | ( | float32x4_t | x | ) |

inline static

## _vcos_poly_f32()

float32x4_t _vcos_poly_f32 | ( | float32x4_t | x | ) |

inline static

## _vinvq_f32()

float32x4_t _vinvq_f32 | ( | float32x4_t | x | ) |

inline static

## _vinvsqrtq_f32()

float32x4_t _vinvsqrtq_f32 | ( | float32x4_t | x | ) |

inline static

## _vlog2_poly_f32()

float32x4_t _vlog2_poly_f32 | ( | float32x4_t | x | ) |

inline static

## _vlogq_f32()

float32x4_t _vlogq_f32 | ( | float32x4_t | x | ) |

inline static

## _vmagnitudesquaredq_f32()

float32x4_t _vmagnitudesquaredq_f32 | ( | float32x4x2_t | cmplxValue | ) |

inline static

## _vmultiply_complexq_f32()

float32x4x2_t _vmultiply_complexq_f32 | ( | float32x4x2_t | a_val,
|  | float32x4x2_t | b_val )

inline static

## _vsin_poly_f32()

float32x4_t _vsin_poly_f32 | ( | float32x4_t | x | ) |

inline static

## _vsincosq_f32()

float32x4x2_t _vsincosq_f32 | ( | float32x4_t | x | ) |

inline static

## _vsqrtq_f32()

float32x4_t _vsqrtq_f32 | ( | float32x4_t | x | ) |

inline static

## _vtanq_f32()

float32x4_t _vtanq_f32 | ( | float32x4_t | x | ) |

inline static

## _vtaylor_polyq_f32()

float32x4_t _vtaylor_polyq_f32 | ( | float32x4_t | x,
|  | const float32x4_t | coeffs[8] )

inline static